package hello;

import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

public class Client{

	public static String sayHello() {
		try{
			InitialContext context = new InitialContext();
			Object object = context.lookup("hello");
			HelloHome home = (HelloHome)PortableRemoteObject.narrow(
				object, HelloHome.class);
			Hello hello = home.create();
			return hello.sayHello();

		}catch(Exception e){
			e.printStackTrace();
			return "exception";
		}
	}
	
    public static void main(String[] args) throws Exception{
    	sayHello();
    }

}
